> ## Documentation Index
> Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user_grp

> Remove a [user](/concepts/user) from a [group](/concepts/group) by [user_grp](/concepts/user_grp) ID



## OpenAPI

````yaml POST /user_grp/delete/{id}
openapi: 3.0.0
info:
  version: 2.0.0
  title: illuxiLMS API
  description: Interact with the illuxiLMS API to manage your learning content and users.
  termsOfService: https://illuxi.com/conditions-utilisation/
  contact:
    name: illuxi Team
    email: info@illuxi.com
    url: https://illuxi.com
servers:
  - url: https://{portalApiUrl}
    description: Production server (uses live data)
    variables:
      portalApiUrl:
        default: your-portal.acme.com/api-v2
        description: Your portal's API URL
security:
  - bearerAuth: []
paths:
  /user_grp/delete/{id}:
    post:
      description: >-
        Remove a [user](/concepts/user) from a [group](/concepts/group) by
        [user_grp](/concepts/user_grp) ID
      operationId: deleteUserGrp
      parameters:
        - name: id
          in: path
          description: ID of user_grp to delete
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: user_grp deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Authentication token obtained from POST /token

````